/*                            CWCHAR.C                               */


typedef struct {
  char cw_image;
  char asc;
}
MERKKI;

/*
 * This function finds a character corresponding to its argument image.
 * Returns 0 if not found.
 */

char merkki(int image) {

/*
 * The table of charcters and corresponding images is in file merkit.h
 */

#include "merkit.h"

  int i,j = sizeof(merkit)/sizeof(merkit[0]);

  for (i=0;i<j;i++)
    if (merkit[i].cw_image == image) return merkit[i].asc;

                                     /* If not found, return 0  */
  return 0;
}












