/*                            MERKIT.H                                    */

/*
 * Tassa taulukossa on morsemerkit ja niita vastaavat ASCII -merkit.
 * Morsemerkit on koodattu siten, etta eniten merkitseva 1 bitti on
 * vain merkki josta varsinainen, morsemerkkia vastaava, bittikuvio
 * alkaa. 1 merkitsee viivaa ja 0 pistetta.
 */

static const MERKKI merkit[] = {
  {  5,'A'},		/* 101          .-     */
  { 24,'B'},		/* 11000        -...   */
  { 26,'C'},		/* 11010        -.-.   */
  { 12,'D'},		/* 1100         -..    */
  {  2,'E'},		/* 10           .      */
  { 18,'F'},		/* 10010        ..-.   */
  { 14,'G'},		/* 1110         --.    */
  { 16,'H'},		/* 10000        ....   */
  {  4,'I'},		/* 100          ..     */
  { 23,'J'},		/* 10111        .---   */
  { 13,'K'},		/* 1101         -.-    */
  { 20,'L'},		/* 10100        .-..   */
  {  7,'M'},		/* 111          --     */
  {  6,'N'},		/* 110          -.     */
  { 15,'O'},		/* 1111         ---    */
  { 22,'P'},		/* 10110        .--.   */
  { 29,'Q'},		/* 11101        --.-   */
  { 10,'R'},		/* 1010         .-.    */
  {  8,'S'},		/* 1000         ...    */
  {  3,'T'},		/* 11           -      */
  {  9,'U'},		/* 1001         ..-    */
  { 17,'V'},		/* 10001        ...-   */
  { 11,'W'},		/* 1011         .--    */
  { 25,'X'},		/* 11001        -..-   */
  { 27,'Y'},		/* 11011        -.--   */
  { 28,'Z'},		/* 11100        --..   */
  { 63,'0'},		/* 111111       -----  */
  { 47,'1'},		/* 101111       .----  */
  { 39,'2'},		/* 100111       ..---  */
  { 35,'3'},		/* 100011       ...--  */
  { 33,'4'},		/* 100001       ....-  */
  { 32,'5'},		/* 100000       .....  */
  { 48,'6'},		/* 110000       -....  */
  { 56,'7'},		/* 111000       --...  */
  { 60,'8'},		/* 111100       ---..  */
  { 62,'9'},		/* 111110       ----.  */
  { 49,'='},		/* 110001       -...-  */
  { 85,'.'},		/* 1010101      .-.-.- */
  {115,','},		/* 1110011      --..-- */
  { 50,'/'},		/* 110010       -..-.  */
  { 76,'?'},		/* 1001100      ..--.. */
  { 42,'+'},		/* 101010       .-.-.  */
  { 54,'\n'},           /* 110110       -.--.  */
  { 34,'\b'}		/* 100010       ...-.  */
};






