/*                          CWMAIN.C                                   */

#include <stdio.h>
#include <unistd.h>
#include "cwrx.h"


/* This program reads hand keyed cw. A key has to be connected to printer
   port defined as PORT. There has to be a pull-up resistor of 1k between
   pins 9 and 12. A capacitor of .1 uF has to be connected between pins
   12 and 25. The key connects pin 12 to pin 25. 

   This does not work a platform other than LINUX!

   Written by OH3FG/KO4BC at 29.11.1995                         */

void main(int argc, char *argv[]) {
  int c;
  unsigned PORT=0;

  if (argc < 2) help(argv[0]);
  sscanf(argv[1],"%x",&PORT);
  if (!PORT) help(argv[0]);
  pullup(PORT);
  setvbuf(stdout,NULL,_IONBF,0);
  for (;;) {                             /* If a character to print is
					    newline, print carriage return
					    first                          */

    if ((c = merkki(image(PORT))) == '\n') putchar('\r'); 
    putchar(c);
  }
}

void help(char *s) {
    printf("\nUsage: %s portaddress\n\nie. %s 0x378\n\n",s,s);
    exit(1);
}

